{% extends "src/elements/_template.njk" %}
{% set title = "История рассылок" %}
{% block content %}
    <div class="main-header">
        <h1 class="main-header__title">
            <span class="d-none d-md-block">{{ title }}</span>
            <span class="d-block d-md-none">Рассылка по категориям</span>
        </h1>
        <div class="main-header__content d-none d-md-flex">
            <button type="button" class="btn btn-outline-primary">
                <span>Редактор категорий</span>
            </button>
            <button type="button" class="btn btn-primary">
                <i class="icon-plus">
                    {{ svgIcon('plus', viewBox='0 0 15 14') }}
                </i>
                <span>Добавить пользователя</span>
            </button>
        </div>
    </div><!-- .main-header -->
    <div class="main-bar d-none d-md-flex mb-50">
        <div class="main-bar__group">
            <div class="btn-group btn-group-xxl">
                <a href="#" class="btn btn-sm btn-white btn-rounded active">Рассылка по категориям</a>
                <div class="btn-group-divider"></div>
                <a href="#" class="btn btn-sm btn-white btn-rounded">Личные сообщения</a>
            </div>
        </div><!-- .main-bar__group -->
    </div><!-- .main-bar -->

    <div class="main-bar">
        <div class="main-bar__group">
            <div class="main-bar__label">Записи: <strong>1–13</strong> из <strong>13</strong></div>
            <div class="main-bar__item">
                <label class="custom-field custom-field--date">
                    <input type="text" name="date" placeholder="16.12.2023" autocomplete="off" data-date>
                    <i class="custom-field__icon">
                        {{ svgIcon('calendar', viewBox='0 0 15 14') }}
                    </i>
                </label>
            </div><!-- .main-bar__item -->
            <div class="main-bar__item main-bar__item--xl d-none d-lg-block">
                <label class="checkbox checkbox--inverse">
                    <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-all>
                    <span class="checkbox__label">Выделить все:</span>
                </label>
            </div>
            <div class="main-bar__item d-block d-md-none">
                <button type="button" class="btn btn-xs btn-primary">
                    <i class="icon-plus">
                        {{ svgIcon('plus', viewBox='0 0 15 14') }}
                    </i>
                    <span>Создать</span>
                </button>
            </div>
        </div>
        <div class="data-control" data-control>
            <div class="data-control__label">Выберите действие</div>
            <div class="data-control__buttons">
                <button type="button" class="btn-round">
                    <i>
                        {{ svgIcon('pen') }}
                    </i>
                </button>
                <button type="button" class="btn-round">
                    <i>
                        {{ svgIcon('copy') }}
                    </i>
                </button>
                <button type="button" class="btn-round">
                    <i>
                        {{ svgIcon('plane') }}
                    </i>
                </button>
            </div>
        </div><!-- .data-control -->
    </div><!-- .main-bar -->

    <div class="line"></div>

    <div class="table-responsive">
        <table class="table table-main">
            <thead>
            <tr>
                <th class="table-check">
                    <div class="table-check-mobile">
                        <label class="checkbox checkbox--inverse">
                            <input type="checkbox" class="checkbox__input" name="selected" data-check-all>
                            <span class="checkbox__label checkbox__label--single"></span>
                        </label>
                    </div>
                </th>
                <th class="text-left table-num">
                    <div class="table-heading">
                        <span>Номер</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Категория клиентов</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Заголовок</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Дата создания</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Статус рассылки</span>
                    </div>
                </th>
                <th class="text-center">Действия</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-primary rounded-pill">Отправлено</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-gray rounded-pill">Черновик</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-gray rounded-pill">Черновик</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>

            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-primary rounded-pill">Отправлено</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-primary rounded-pill">Отправлено</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-primary rounded-pill">Отправлено</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="table-check">
                    <label class="checkbox checkbox--inverse">
                        <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                        <span class="checkbox__label checkbox__label--single"></span>
                    </label>
                </td>
                <td class="font-size-14 color-gray-dark text-nowrap position-relative table-num">
                    <span>001</span>
                </td>
                <td class="text-nowrap text-center">Все клиенты</td>
                <td class="text-nowrap text-center">Рассылка в будущее проекта</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">
                    <span class="badge badge-gray rounded-pill">Черновик</span>
                </td>
                <td>
                    <div class="d-flex align-center justify-content-center column-gap-12">
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('copy') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round btn-round--gray">
                            <i>
                                {{ svgIcon('plane') }}
                            </i>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

{% endblock %}

